import 'package:flutter/material.dart';
import 'package:rasadyar_core/core.dart';

/// Creates a customized AppBar for the Rasadyar Chicken app.
RAppBar chickenAppBar({
  bool hasBack = true,
  bool hasFilter = true,
  bool hasSearch = true,
  bool isBase = false,
  bool hasNotification = false,
  bool hasNews = false,
  int? backId,
  VoidCallback? onBackTap,
  VoidCallback? onFilterTap,
  VoidCallback? onSearchTap,
  VoidCallback? onNewsTap,
  VoidCallback? onNotificationTap,
}) {
  return RAppBar(
    hasBack: hasBack,
    hasSearch: hasSearch,
    hasNotification: hasNotification,
    hasNews: hasNews,
    isBase: isBase,
    backId: backId,
    hasFilter: hasFilter,
    onFilterTap: onFilterTap,
    onSearchTap: onSearchTap,
    onBackTap: onBackTap,
    onNotificationTap: onNotificationTap,
    onNewsTap: onNewsTap,
    backgroundColor: AppColor.blueNormal,
    children: [
      const SizedBox(width: 6),
      Text('رصدطیور', style: AppFonts.yekan16Bold.copyWith(color: Colors.white)),
      const SizedBox(width: 6),
      Assets.vec.chickenSvg.svg(height: 24, width: 24),
    ],
  );
}
